package com.yeejoin.amos.avic.service.impl;

import java.io.IOException;
import java.io.InputStream;

import javax.activation.DataHandler;
import javax.jws.WebService;

import org.springframework.stereotype.Component;

import com.yeejoin.amos.avic.face.model.AvicCustomPathModel;
import com.yeejoin.amos.avic.face.webservice.FileFransferService;

@WebService(serviceName = "FileFransferService",
		targetNamespace = "http://service.avic.amos.yeejoin.com",
	endpointInterface = "com.yeejoin.amos.avic.face.webservice.FileFransferService")
@Component
public class FileFransferServiceImpl implements FileFransferService {

	
	@Override
	public void useCodetransferFile(DataHandler handler, String fileName, String path, String code) {

		
	}
	
	@Override
	public void transferFile(DataHandler handler, String fileName, String path) {
		InputStream is = null;
		try {
			is = handler.getInputStream();
		} catch (IOException e) {
			e.printStackTrace();
		}finally {
			try {
				is.close();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}

	@Override
	public void transferPathConfig(AvicCustomPathModel model) {
		
	}

	


}
